LFR-FSW - Bug #1718

Requéte de modification pour prochaine release FSW : suppression de macros non utilisées
28/06/2017 03:54 PM - bruno katra
Description

Lié a:

https://jira-lesia.obspm.fr/browse/RPWSWR-446

Macros toujours dans 3.2.0.15

Echange mails :
Salut William, aprés discussions avec Alexis qui sortait d'une teleconf avec le CNES ce matin : nous rejoignons ta proposition. Le
CNES est clairement opposé a toutes nouvelles modifs des FSW avant 3 ans (arrivée au Soleil). Sl cette modif peut étre faite donc
ce sera dans le méme wagon que plusieurs autres en méme temps s'il y en a.
Je vais commenter le JIRA en ce sens.
Merci
Bruno
Le 28/06/2017 a 15:32, RECART William a écrit :
Salut,

Oui, on peut essayer de leur proposer cette option, par contre, y a-t-il un réel intérét a supprimer ces constantes non utilisées
avec 'impact derriére de revalidation ? (consommation de temps)

Le seul intérét que je vois a la suppression de ces constantes est d’augmenter la lisibilité du code (et donc la maintenabilité),
n’est-il pas plus judicieux de créer une NC mineure pour tracer toutes les constantes non-utilisées et de traiter cette NC si une

autre version du logiciel est nécessaire ?

@+

History

#1 - 29/08/2018 03:13 PM - Alexis Jeandet

http://www.xappsoftware.com/wordpress/2017/02/20/how-to-find-unused-define-into-your-c-code/

#2 - 30/08/2018 05:23 PM - bruno katra
- Status changed from New to In Progress

- Assignee changed from paul leroy to Alexis Jeandet

#3 - 20/09/2018 02:41 PM - Alexis Jeandet

- Status changed from In Progress to Closed

https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_FSW/changeset/bd12526
70981361939ed2a1c3febc94247019956

#4 - 24/09/2018 04:19 PM - bruno katra
